import React, { FC } from 'react';
import { Grid, Hidden } from '@material-ui/core';
import { Reservation } from 'components/Dashboard/ReservationPage/Reservation/Reservation';
import { useReservations } from 'hooks/useReservations';

/**
 * Displays a list of all reservations from api.
 * @returns rendered list of reservations.
 */
export const ReservationList: FC = () => {
  const reservations = useReservations();

  return (
    <div data-testid="ReservationListViewer">
      <Grid item container>
        {reservations.length !== 0 ? (
          reservations.map((reservation, key) => (
            <Reservation reservation={reservation} />
          ))
        ) : (
          <h1>You do not have reservations.</h1>
        )}
      </Grid>
    </div>
  );
};
